Index: palm/trunk/SOURCE/Makefile
===================================================================
--- palm/trunk/SOURCE/Makefile	(revision 4453)
+++ palm/trunk/SOURCE/Makefile	(revision 4457)
@@ -25,4 +25,8 @@
 # -----------------
 # $Id$
+# exchange horiz has been modularized and exchange horiz 2d has been merged, dependencies updated
+# accordingly
+# 
+# 4453 2020-03-11 08:10:13Z raasch
 # dependencies for exchange horiz modified
 # 
@@ -192,6 +196,5 @@
 	disturb_heatflux.f90 \
 	dynamics_mod.f90 \
-	exchange_horiz_2d.f90 \
-	exchange_horiz.f90 \
+	exchange_horiz_mod.f90 \
 	fft_xy_mod.f90 \
 	flow_statistics.f90 \
@@ -352,4 +355,5 @@
 	modules.o
 advec_ws.o: \
+	exchange_horiz_mod.o \
 	mod_kinds.o \
 	modules.o
@@ -362,5 +366,5 @@
 average_3d_data.o: \
 	cpulog_mod.o \
-	exchange_horiz_2d.o \
+	exchange_horiz_mod.o \
 	mod_kinds.o \
 	module_interface.o \
@@ -383,4 +387,5 @@
 	advec_s_up.o \
 	diffusion_s.o \
+	exchange_horiz_mod.o \
 	mod_kinds.o \
 	modules.o \
@@ -431,4 +436,5 @@
 	chem_photolysis_mod.o \
 	diffusion_s.o \
+	exchange_horiz_mod.o \
 	mod_kinds.o \
 	modules.o \
@@ -477,19 +483,20 @@
 data_output_binary_module.o: \
 	mod_kinds.o
+data_output_mask.o: \
+	basic_constants_and_equations_mod.o \
+	bulk_cloud_model_mod.o \
+	chemistry_model_mod.o \
+	cpulog_mod.o \
+	diagnostic_output_quantities_mod.o \
+	exchange_horiz_mod.o \
+	mod_kinds.o \
+	mod_particle_attributes.o \
+	modules.o \
+	netcdf_interface_mod.o \
+	salsa_mod.o
 data_output_module.o: \
 	data_output_binary_module.o \
 	data_output_netcdf4_module.o \
 	mod_kinds.o
-data_output_mask.o: \
-	basic_constants_and_equations_mod.o \
-	bulk_cloud_model_mod.o \
-	chemistry_model_mod.o \
-	cpulog_mod.o \
-	diagnostic_output_quantities_mod.o \
-	mod_kinds.o \
-	mod_particle_attributes.o \
-	modules.o \
-	netcdf_interface_mod.o \
-	salsa_mod.o
 data_output_netcdf4_module.o: \
 	mod_kinds.o
@@ -521,4 +528,5 @@
 	bulk_cloud_model_mod.o \
 	cpulog_mod.o \
+	exchange_horiz_mod.o \
 	land_surface_model_mod.o \
 	mod_kinds.o \
@@ -533,4 +541,5 @@
 	bulk_cloud_model_mod.o \
 	cpulog_mod.o \
+	exchange_horiz_mod.o \
 	land_surface_model_mod.o \
 	mod_kinds.o \
@@ -543,4 +552,5 @@
 	urban_surface_mod.o
 diagnostic_output_quantities_mod.o: \
+	exchange_horiz_mod.o \
 	mod_kinds.o \
 	modules.o \
@@ -570,4 +580,5 @@
 disturb_heatflux.o: \
 	cpulog_mod.o \
+	exchange_horiz_mod.o \
 	mod_kinds.o \
 	modules.o \
@@ -580,9 +591,5 @@
         pmc_interface_mod.o \
 	modules.o
-exchange_horiz.o: \
-	cpulog_mod.o \
-	mod_kinds.o \
-	modules.o
-exchange_horiz_2d.o: \
+exchange_horiz_mod.o: \
 	cpulog_mod.o \
 	mod_kinds.o \
@@ -673,4 +680,5 @@
 	vertical_nesting_mod.o
 init_grid.o: \
+	exchange_horiz_mod.o \
 	mod_kinds.o \
 	modules.o \
@@ -692,8 +700,10 @@
 	vertical_nesting_mod.o
 init_pt_anomaly.o: \
+	exchange_horiz_mod.o \
 	mod_kinds.o \
 	modules.o
 init_rankine.o: \
 	basic_constants_and_equations_mod.o \
+	exchange_horiz_mod.o \
 	mod_kinds.o \
 	modules.o
@@ -708,4 +718,5 @@
 	basic_constants_and_equations_mod.o \
 	cpulog_mod.o \
+	exchange_horiz_mod.o \
 	mod_kinds.o \
 	mod_particle_attributes.o \
@@ -803,7 +814,16 @@
 mod_particle_attributes.o: \
 	mod_kinds.o
+nesting_offl_mod.o: \
+	chem_modules.o \
+	cpulog_mod.o \
+	exchange_horiz_mod.o \
+	mod_kinds.o \
+	modules.o \
+	netcdf_data_input_mod.o \
+	salsa_mod.o 
 netcdf_data_input_mod.o: \
 	chem_modules.o \
 	cpulog_mod.o \
+	exchange_horiz_mod.o \
 	mod_kinds.o \
 	modules.o   \
@@ -828,11 +848,4 @@
 	urban_surface_mod.o \
 	user_module.o
-nesting_offl_mod.o: \
-	chem_modules.o \
-	cpulog_mod.o \
-	mod_kinds.o \
-	modules.o \
-	netcdf_data_input_mod.o \
-	salsa_mod.o 
 ocean_mod.o: \
 	advec_s_pw.o \
@@ -855,4 +868,5 @@
 	cpulog_mod.o \
 	diagnostic_output_quantities_mod.o \
+	exchange_horiz_mod.o \
 	land_surface_model_mod.o \
 	mod_kinds.o \
@@ -886,4 +900,5 @@
 plant_canopy_model_mod.o: \
 	bulk_cloud_model_mod.o \
+	exchange_horiz_mod.o \
 	mod_kinds.o \
 	modules.o \
@@ -936,8 +951,10 @@
 poismg_mod.o: \
 	cpulog_mod.o \
+	exchange_horiz_mod.o \
 	mod_kinds.o \
 	modules.o
 poismg_noopt_mod.o: \
 	cpulog_mod.o \
+	exchange_horiz_mod.o \
 	mod_kinds.o \
 	modules.o
@@ -946,4 +963,5 @@
 pres.o: \
 	cpulog_mod.o \
+	exchange_horiz_mod.o \
 	mod_kinds.o \
 	modules.o \
@@ -997,4 +1015,5 @@
 	bulk_cloud_model_mod.o \
 	calc_mean_profile.o \
+	exchange_horiz_mod.o \
 	mod_particle_attributes.o \
 	modules.o \
@@ -1043,4 +1062,5 @@
 	chem_modules.o \
 	diffusion_s.o \
+	exchange_horiz_mod.o \
 	netcdf_data_input_mod.o \
 	palm_date_time_mod.o \
@@ -1051,4 +1071,5 @@
 	mod_kinds.o
 sor.o: \
+	exchange_horiz_mod.o \
 	mod_kinds.o \
 	modules.o
@@ -1081,5 +1102,5 @@
 	chem_gasphase_mod.o \
 	chem_modules.o \
-	exchange_horiz_2d.o \
+	exchange_horiz_mod.o \
 	land_surface_model_mod.o \
 	mod_kinds.o \
@@ -1102,4 +1123,5 @@
 	basic_constants_and_equations_mod.o \
 	cpulog_mod.o \
+	exchange_horiz_mod.o \
 	mod_kinds.o \
 	modules.o \
@@ -1125,4 +1147,5 @@
 	diagnostic_output_quantities_mod.o \
 	disturb_heatflux.o \
+	exchange_horiz_mod.o \
 	indoor_model_mod.o \
 	lagrangian_particle_model_mod.o \
@@ -1156,4 +1179,5 @@
 	cpulog_mod.o \
 	diagnostic_output_quantities_mod.o \
+	exchange_horiz_mod.o \
 	land_surface_model_mod.o \
 	mod_kinds.o \
@@ -1194,4 +1218,5 @@
 	bulk_cloud_model_mod.o \
 	cpulog_mod.o \
+	exchange_horiz_mod.o \
 	mod_kinds.o \
 	mod_particle_attributes.o \
@@ -1275,4 +1300,5 @@
 	pmc_interface_mod.o
 vertical_nesting_mod.o: \
+	exchange_horiz_mod.o \
 	mod_kinds.o \
 	modules.o \
@@ -1305,4 +1331,5 @@
 	cpulog_mod.o \
 	data_output_module.o \
+	exchange_horiz_mod.o \
 	netcdf_data_input_mod.o \
 	mod_kinds.o \
